Subject: Re: [PATCH v4 1/5] [GSOC] ref-filter: add obj-type check in grab contents

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Jul 2021 12:15:27 -0700

"ZheNing Hu via GitGitGadget" <[email-masked]> writes:

> From: ZheNing Hu <[email-masked]>
>
> Only tag and commit objects use `grab_sub_body_contents()` to grab
> object contents in the current codebase.  We want to teach the
> function to also handle blobs and trees to get their raw data,
> without parsing a blob (whose contents looks like a commit or a tag)
> incorrectly as a commit or a tag. So it's needed to pass a
> `struct expand_data *data` instread of only `void *buf` to both
> `grab_sub_body_contents()` and `grab_values()` to be able to check
> the object type.
>
> Skip the block of code that is specific to handling commits and tags
> early when the given object is of a wrong type to help later
> addition to handle other types of objects in this function.
>
> Reviewed-by: Jacob Keller <[email-masked]>
> Mentored-by: Christian Couder <[email-masked]>
> Mentored-by: Hariom Verma <[email-masked]>
> Helped-by: Junio C Hamano <[email-masked]>
> Signed-off-by: ZheNing Hu <[email-masked]>

It is not a huge deal, but are these trailers given in a sensible
order?  The order of event happened were that help and mentoring
were given, your finished version of the patch came after that to be
signed off by you, and then a reviewer gave you a reviewed-by, no?